import QtQuick
import QtQuick.Window
import QtQuick.Layouts

Window {
    SystemPalette { id: activeColors; colorGroup: SystemPalette.Active }
    SystemPalette { id: inactiveColors; colorGroup: SystemPalette.Inactive }
    SystemPalette { id: disabledColors; colorGroup: SystemPalette.Disabled }

    function getColors() {
        return root.active ? activeColors : inactiveColors;
    }

    id: root
    width: 640
    height: 480
    visible: true
    color: getColors().window

    title: qsTr("Alisa - License Managment")

    Rectangle {
        id: s1
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
        }
        height: 400
        border.width: 5
        border.color: getColors().accent
        color: getColors().midlight
    }

    TableView {
        anchors.fill: parent

        columnSpacing: 1
        rowSpacing: 1
        clip: true

        model: Data {}
        delegate: Rectangle {
            color: getColors().base
            implicitWidth: 100
            implicitHeight: 50
            border.width: 1

            Text {
                text: display
                color: getColors().text
                anchors.centerIn: parent
            }
        }
    }
}
